Bug 2049038 - Branch and build glew for EPEL 9
Summary: Branch and build glew for EPEL 9
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: glew
Version: epel9
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-02-01 11:37 UTC by Mattias Ellert
Modified: 2022-05-20 02:23 UTC (History)
3 users (show)

Fixed In Version: glew-2.2.0-2.el9
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-03-06 17:48:19 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Mattias Ellert 2022-02-01 11:37:53 UTC
Description of problem:

While trying to build packages in EPEL 9:
DEBUG util.py:444:  No matching package to install: 'glew-devel'

Please branch and build glew for EPEL 9.

Comment 1 Ben Cotton 2022-02-08 20:22:41 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 36 development cycle.
Changing version to 36.

Comment 2 Mattias Ellert 2022-02-08 21:06:43 UTC
This should really be reported against 'epel9'. But that is a version of the "Fedora EPEL" product. Glew is currently not in any EPEL version so it is not possible to create a bugzilla ticket for it in the "Fedora EPEL" product. So I reported this against 'rawhide' in the "Fedora" product. The reason glew is not in any earlier version of EPEL is that is available in earlier versions of RHEL (up to and including 8). However, it is not available in RHEL 9 (as can be seen from the absence of a c9-beta branch in https://git.centos.org/rpms/glew/branches). This is the reason for this request to add it to EPEL 9.

The rawhide version of the package builds without any changes for EPEL 9 as this scratch build illustrates: https://koji.fedoraproject.org/koji/taskinfo?taskID=82569362

Comment 3 Orion Poplawski 2022-02-09 03:37:44 UTC
Branch requested: https://pagure.io/releng/fedora-scm-requests/issue/41994

Comment 4 Mattias Ellert 2022-02-23 19:06:00 UTC
(In reply to Orion Poplawski from comment #3)
> Branch requested: https://pagure.io/releng/fedora-scm-requests/issue/41994

The branch request was approved 2 weeks ago.

Comment 5 Fedora Update System 2022-02-25 18:58:37 UTC
FEDORA-EPEL-2022-d4cb2644db has been submitted as an update to Fedora EPEL 9. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-d4cb2644db

Comment 6 Fedora Update System 2022-02-27 04:32:00 UTC
FEDORA-EPEL-2022-d4cb2644db has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-d4cb2644db

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2022-03-06 17:48:19 UTC
FEDORA-EPEL-2022-d4cb2644db has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.